Type to search.

Submit external input for a paused workflow execution

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Resume a workflow execution that is paused and waiting for external input. Submit input values as a JSON request body, authenticated with a token query parameter. Returns an HTML confirmation page.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

executionId string · max length: 128 required

Workflow execution ID

stepId string · max length: 128 required

Workflow step execution ID

Query parameters

token string · max length: 128 required

The resume token authenticating this request.

Request body

Type: object

Response

An HTML confirmation page confirming that the input was received and the workflow execution was resumed.

text/html

Response Type: string